import { HtmlTagDescriptor, Plugin } from 'vite';
import { Options as Options$1 } from 'ejs';
import { Options as Options$2, minify } from 'html-minifier-terser';
export { Options as MinifyOptions } from 'html-minifier-terser';

interface InjectOptions {
    injectData?: Record<string, any>;
    injectOptions?: Options$1;
    tags?: HtmlTagDescriptor[];
}
interface Options {
    inject?: InjectOptions;
    minify?: Options$2 | boolean;
}

declare function injectHtml(options?: InjectOptions): Plugin;

declare function minifyHtml(minifyOptions?: Options$2 | boolean): Plugin;

declare const minifyFn: typeof minify;

declare const _default: (options?: Options) => Plugin[];

export default _default;
export { injectHtml, minifyFn, minifyHtml };
